Class StreamsImpl
java.lang.Object
com.eqixiac.equinix.fabric.client.implementation.StreamsImpl
- All Implemented Interfaces:
Streams
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiondefine()Begins the fluent builder for creating a new stream.Retrieves a single stream by its unique identifier.list()Lists all streams accessible to the current account.search(FilterPropertyList filter, SortPropertyList sort) Searches streams (POST /fabric/v4/streams/search), for example by/project/projectId,/uuidor/state.
-
Constructor Details
-
StreamsImpl
public StreamsImpl()
-
-
Method Details
-
list
Description copied from interface:StreamsLists all streams accessible to the current account. -
getByUuid
-
define
Description copied from interface:StreamsBegins the fluent builder for creating a new stream. Call methods on the returned builder to configure the stream, then callcreate(). -
search
Description copied from interface:StreamsSearches streams (POST /fabric/v4/streams/search), for example by/project/projectId,/uuidor/state.
-